Bug 70126 - "top -i" shows nothing
"top -i" shows nothing
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-30 12:56 EDT by Kris Urquhart
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-28 21:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
top vs system-monitor / KPM (deleted)
2002-07-30 12:57 EDT, Kris Urquhart
no flags Details
top vs. system-monitor (362.43 KB, image/png)
2002-08-08 17:58 EDT, Kris Urquhart
no flags Details
"top -i" vs system-monitor (Active Processes) (316.82 KB, image/png)
2002-08-08 18:07 EDT, Kris Urquhart
no flags Details

  None (edit)
Description Kris Urquhart 2002-07-30 12:56:55 EDT
Description of Problem:
I have several processes working hard, but "top -i" shows nothing.  Indeed, just
plain "top" seems to be very inaccurate (e.g. giving 99.9% CPU to kswapd)
compared to KPM (KDE System Guard 1.2.0) or system-monitor-2.0.0.

Version-Release number of selected component (if applicable):
procps-2.0.7-21

How Reproducible:
Very

Steps to Reproduce:
1. start some processes that work hard (e.g. dump -j)
2. start "top -i"
3. compare with e.g. system-monitor-2.0.0

Additional Information:
dual pentium
Comment 1 Kris Urquhart 2002-07-30 13:03:27 EDT
I tried to attach a screenshot, but it failed.  Let me know if you would like me
to try again later.
Comment 2 Alexander Larsson 2002-08-08 10:17:05 EDT
-i removes processes that are sleeping or zombie. dump is likely to block on
disk i/o, and is therefore considered idle. Look at it in non -i mode and you'll
see that it's in "S" state.

Exactly how is it inaccurate? We have a few kernel bugs that affect top and ps
output.
Comment 3 Kris Urquhart 2002-08-08 17:58:10 EDT
Created attachment 69626 [details]
top vs. system-monitor
Comment 4 Kris Urquhart 2002-08-08 18:06:39 EDT
Bugzilla finally let me attach a screenshot.

I have a "dump -j" running between two local disks.  Even with the disk I/O, the
compression is chewing up quite a bit of CPU time.  

system-monitor (All Processes) shows what I would expect to see - several dump
processes consuming plenty of CPU.  But top (not -i) doesn't show a single dump
process, even though it knows the CPUs are only a little bit idle.

I'll attach another screenshot shortly: system-monitor (Active Processes) vs
"top -i".  The only process the "top -i" shows is X, while system-monitor still
shows several dump processes.

Also, here is the relevant ps output:
[kurquhart@oscar kurquhart]$ ps -le | grep dump
100 S     0 11777 11410  0  75   0    -   329 oprof_ pts/5    00:00:01 dump
040 S     0 11778 11777  0  75   0    -   349 oprof_ pts/5    00:00:09 dump
040 R     0 11779 11778 57  85   0    -   345 oprof_ pts/5    00:09:56 dump
040 R     0 11780 11778 57  85   0    -   345 oprof_ pts/5    00:09:56 dump
040 R     0 11781 11778 57  85   0    -   802 oprof_ pts/5    00:09:55 dump
Comment 5 Kris Urquhart 2002-08-08 18:07:38 EDT
Created attachment 69627 [details]
"top -i" vs system-monitor (Active Processes)
Comment 6 Daniel Walsh 2004-02-11 08:01:40 EST
Are you still having this problem or has it been fixed in later updates?

Comment 7 Kris Urquhart 2004-02-15 11:26:09 EST
Problem is still present in procps-2.0.7-25, which is the latest for 
RedHat 8.0.  If a later version is backwards compatible with RH8.0, I 
willbe happy to try it; just let me know which version to try.
Comment 8 Daniel Walsh 2004-02-15 18:10:42 EST
Your best option is to grab the src rpm for 3.1.15 and rmpbuild
--rebuild it and then install.
Comment 9 Kris Urquhart 2004-03-19 20:52:23 EST
This problem is fixed in procps-3.1.15-3.i386.rpm.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.